"""This file provides some constants e.g. path to the used directories in running new experiments"""

import os


logPath = ''
#revision = []
leakConfigName = ''
numOfIteration = []
passId = ''
workingDir = ''
leakIndex = [1, 2, 3, 4]
leakStrength = [1, 10, 100, 1000]
listLeakTypes = ['one', 'two', 'three', 'four', 'five']
listJarFilePath = []

listLeakVariable = ['-Djava.leakStrength.1', '-Djava.leakStrength.2', '-Djava.leakStrength.3',
                    '-Djava.leakStrength.4', '-Djava.leakStrength.5']

listLeakProperties = ['leak1', 'leak2', 'leak3', 'leak4', 'leak5',
                      'leak10', 'leak20', 'leak30', 'leak40',
                      'leak100', 'leak200', 'leak300', 'leak400',
                      'leak1000', 'leak2000', 'leak3000', 'leak4000',
                      'leak12', 'leak24', 'leak45', 'leak123',
                      'leak1234', 'leak12345', 'leak135', 'leak1245',
                      'leak234', 'leak345', 'leak2345', 'noLeak']  # change noLeak to leak0


BASE_DIR = '/home/felix'
HADOOP_DIR = os.path.join(BASE_DIR, 'hadoop')
MAHOUT_DIR = os.path.join(BASE_DIR, 'Mahout')
LEAK_CONF_DIR = os.path.join(HADOOP_DIR, 'leakConf')
RESULT_DIR = os.path.join(BASE_DIR, 'results')
UNIT_TEST_DIR = os.path.join(HADOOP_DIR, 'unittest')
LOM_CLIENT_DIR = os.path.join(BASE_DIR, 'workspace/SoftwareAgingRCA/dist')
LOM_CLIENT_JAR = os.path.join(LOM_CLIENT_DIR, 'LOMClient.jar')
LOM_JAR = os.path.join(LOM_CLIENT_DIR, 'LiveObjectMonitor.jar')

VALIDATE_FILE = os.path.join(BASE_DIR, 'validate.py')
EXP_FILE = os.path.join(BASE_DIR, 'experiment.py')
MEASURE_FILE = os.path.join(BASE_DIR, 'measure.py')
STARTUP_FILE = os.path.join(BASE_DIR, 'startup.py')
SHUTDOWN_FILE = os.path.join(BASE_DIR, 'shutdown.py')

# set up the classpath for unit test
JUNIT = '/usr/share/java/junit4.jar'
TESTS = '/home/felix/hadoop/unittest/hadoop-yarn-server-tests-3.0.0-SNAPSHOT-tests.jar:' \
        '/home/felix/hadoop/unittest/hadoop-yarn-common-3.0.0-SNAPSHOT-tests.jar:' \
        '/home/felix/hadoop/unittest/hadoop-yarn-server-resourcemanager-3.0.0-SNAPSHOT-tests.jar:' \
        '/home/felix/hadoop/unittest/hadoop-mapreduce-client-jobclient-3.0.0-SNAPSHOT-tests.jar:' \
        '/home/felix/hadoop/unittest/hadoop-yarn-server-nodemanager-3.0.0-SNAPSHOT-tests.jar:' \
        '/home/felix/hadoop/unittest/mockito-all-1.8.4.jar:' \
        '/home/felix/hadoop/unittest/hadoop-hdfs-3.0.0-SNAPSHOT-tests.jar'

HADOOP_COMMON_JAR = '/share/hadoop/common/hadoop-common-3.0.0-SNAPSHOT.jar'
ALL_COMMON_LIB = '/share/hadoop/common/lib/'
HADOOP_HDFS_JAR = '/share/hadoop/hdfs/hadoop-hdfs-3.0.0-SNAPSHOT.jar'
ALL_HDFS_LIB = '/share/hadoop/hdfs/lib/'
ALL_YARN_LIB = '/share/hadoop/yarn/lib/'
ALL_YARN = '/share/hadoop/yarn/'
ALL_MAPREDUCE_LIB = '/share/hadoop/mapreduce/lib/'
ALL_MAPREDUCE = '/share/hadoop/mapreduce/'
ALL_TOOLS_LIB = '/share/hadoop/tools/lib/'

JAVA = '/usr/lib/jvm/java-7-openjdk/bin/java'
JAVA_HOME = '/usr/lib/jvm/default-java'
TIME_BIN = '/usr/bin/time'
