#!/usr/bin/python

"""This file provides some functions to stop Hadoop environment after running an experiment"""


from constants import *
from toolsAgingScripts import *


# Primary function of this file
def shutdown(revisionToUse, resultMainDir):
    """shut down the experiment, including stop Hadoop
    @param revisionToUse: hadoop revision to use, e.g. 0,2,4,8
    @param resultMainDir: the dir to put the result files
    """
    print
    print "#################################"

    # open experiment configuration file and write to it
    experiment_config_file = resultMainDir + '/exp.conf'
    f = open(experiment_config_file, 'a')
    f.write("Environment stop date: % s\n" % current_time())
    f.close()

    # call stop hadoop function;
    # todo: later, we can use the handle for error treatment etc.
    process_handle = stop_hadoop(revisionToUse)

    print "#################################"
    print
    print ("%s: ... stopped the environment ..." % current_time())


def stop_hadoop(revisionToUse):
    """stop Hadoop environment
    @param revisionToUse: revision to use, e.g. 0,2,4,8
    """
    revisionToUseDir = join_paths(HADOOP_DIR, revisionToUse)
    processName = revisionToUseDir + '/stop.sh'
    listCmdArgs = []
    process = run_process(processName, listCmdArgs, revisionToUseDir)
    return process


if __name__ == "__main__":
    # check parameter amount
    if total_cmd_args() < 2:
        print ("Missing arguments: <revision> <result-dir>")
        exit()
    fileName, restArgs = sys.argv[0], sys.argv[1:]
    revisionToUse, resultMainDir = restArgs
    shutdown(revisionToUse, resultMainDir)
